/*
 * Configured Wi-Fi data
 *  for Wi-Fi view & select
 */
package jp.gr.java_conf.j_sota.wifiviewandselect;

import android.os.Parcel;
import android.os.Parcelable;

//Implement Parcelable since this class is transferred with Bundle
public class ConfiguredWifiListData implements Parcelable {

	protected String ssid;
	protected int signalLevel;
	protected int networkId;

	public static final Parcelable.Creator<ConfiguredWifiListData> CREATOR =
			new Parcelable.Creator<ConfiguredWifiListData>() {

		/**
		 * Create list from parcel
		 * @param in	parcel data
		 */
		public ConfiguredWifiListData createFromParcel(Parcel in) {
			return new ConfiguredWifiListData(in);
		}

		/**
		 * Create a new array
		 * @param size		size
		 */
		public ConfiguredWifiListData[] newArray(int size) {
			return new ConfiguredWifiListData[size];
		}
	};

	/**
	 * Constructor
	 * No initial data
	 */
	public ConfiguredWifiListData() {
		// do nothing
	}

	/**
	 * Constructor
	 * read data from parcel
	 * @param in	Parcel data
	 */
	private ConfiguredWifiListData(Parcel in) {
		ssid = in.readString();
		signalLevel = in.readInt();
		networkId = in.readInt();
	}

	/**
	 * Write to Parcel
	 * @param dest
	 * @param flags
	 */
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(ssid);
		dest.writeInt(signalLevel);
		dest.writeInt(networkId);
	}

	/**
	 * Describe contents
	 * @return always 0
	 */
	public int describeContents() {
		return 0;
	}
}
